Bug 760789 - ESB resources are no longer valid after upgrading
ESB resources are no longer valid after upgrading
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
All All
urgent Severity urgent (vote)
: ---
: ---
Assigned To: Len DiMaggio
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 18:59 EST by Larry O'Leary
Modified: 2013-09-04 09:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JBoss ON w/ SOA-P Plug-in Pack (ESB)
Last Closed: 2013-09-04 09:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2011-12-06 18:59:10 EST
The ESB plug-in included in JON 2.4.1 has renamed many of the ESB resource types. The result is that ESB resources that existed in inventory prior to the upgrade will become invalid and "unknown" to the JON agent resulting in inventory sync failures for these resources.
Comment 1 John Mazzitelli 2011-12-08 09:55:43 EST
This appears related to https://issues.jboss.org/browse/JBESB-3110
Comment 2 John Mazzitelli 2011-12-08 10:33:39 EST
Here are the different names that I've found from prior versions:

from plugin pack "jon-plugin-pack-soa-2.4.0.GA.jar", specifically the plugin named "rhq-jbossesb-soa-plugin-SOA.4.3.0.GA_CP02.jar"

<plugin name="JBossESB" version="2.0"
JBoss ESB Deployment
JBoss ESB Services
JBoss ESB Listeners

In all other ESP plugins, the names for those resource types are:

Deployment
Services
Listeners

This means when upgrading from SOA 4.3.0 plugin that shipped with JON 2.4.0 to any later version, old resources of those types will be unavailable.
Comment 3 Charles Crouch 2011-12-09 11:17:54 EST
Assigning to Len D, to investigate.
Comment 8 Heiko W. Rupp 2013-09-04 04:46:26 EDT
Larry can we close this, as it is pretty old?
Comment 9 Larry O'Leary 2013-09-04 09:47:41 EDT
As this is something that happened during upgrade on a a now unsupported version of JBoss ON and was only reported by one person I will go ahead and close this issue as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.